> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get client recipients  

> List of the recipients for the client



## OpenAPI

````yaml get /recipient
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /recipient:
    get:
      tags:
        - Recipient
      summary: 'Get client recipients  '
      description: List of the recipients for the client
      parameters:
        - name: limit
          in: query
          description: Response page size (default is equal to 10)
          required: false
          style: form
          explode: true
          schema:
            type: number
          example: 10
        - name: lastRecipientKey
          in: query
          description: Last recipientKey to start with the next page
          required: false
          style: form
          explode: true
          schema:
            type: string
          example: recipient#1660831535
        - name: companyId
          in: query
          description: Company id
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Recipients'
      security:
        - bearerAuth: []
components:
  schemas:
    Recipients:
      required:
        - count
        - recipients
      type: object
      properties:
        recipients:
          type: array
          items:
            anyOf:
              - $ref: '#/components/schemas/FasterPaymentRecipient'
              - $ref: '#/components/schemas/InternalRecipient'
        count:
          type: number
        nextToken:
          type: string
    FasterPaymentRecipient:
      required:
        - accountNumber
        - companyName
        - created
        - currency
        - email
        - name
        - recipientKey
        - recipientType
        - sortCode
        - surname
        - title
        - transferType
      properties:
        recipientKey:
          type: string
          description: Unique key for the recipient based on date
          example: recipient#1660831535
        transferType:
          type: string
          description: Recipient transfer type
          example: UKLT
          enum:
            - UKLT
        recipientType:
          type: string
          description: Recipient type
          example: personal
          enum:
            - person
            - business
        currency:
          maxLength: 3
          minLength: 3
          type: string
          description: Currency code (ISO 4217)
          example: GBP
        created:
          type: string
          description: When the recipient profile was created in RFC 3339 (section 5.6)
          format: date-time
          example: '2022-07-06T13:42:24.094Z'
        accountNumber:
          type: string
          description: Recipient  account number
          example: '45564658'
        sortCode:
          type: string
          description: Recipient sort code
          example: '9485394578'
        email:
          type: string
          description: Recipient email
          example: mail@domain.com
        name:
          type: string
          description: Recipient first name
          example: Taras
        surname:
          type: string
          description: Recipient last name
          example: Bulba
        companyName:
          type: string
          description: Recipient company name
          example: Horns and hooves
        title:
          type: string
          description: Recipient title
          example: Horns and hooves
    InternalRecipient:
      required:
        - accountTo
        - clientName
        - created
        - currency
        - phone
        - recipient
        - recipientKey
        - recipientType
        - title
        - transferType
      properties:
        recipientKey:
          type: string
          description: Unique key for the recipient based on date
          example: recipient#1660831535
        transferType:
          type: string
          description: Recipient transfer type
          example: INTERNAL
          enum:
            - INTERNAL
        recipientType:
          type: string
          description: Recipient type
          example: person
          enum:
            - person
        currency:
          maxLength: 3
          minLength: 3
          type: string
          description: Currency code (ISO 4217)
          example: GBP
        created:
          type: string
          description: When the recipient profile was created in RFC 3339 (section 5.6)
          format: date-time
          example: '2022-07-06T13:42:24.094Z'
        recipient:
          type: string
          description: Recipient identifier (as system client)
          format: uuid
          example: 39eab26c-8788-4375-810c-9807aaf98191
        accountTo:
          type: string
          description: System account to which money will income
          format: uuid
          example: 49eab26c-8788-4375-810c-9807aaf98234
        clientName:
          type: string
          description: Recipient short name
          example: Mark T
        phone:
          type: string
          description: Recipient phone
          example: '380689873682'
        title:
          type: string
          description: Recipient title
          example: Mark T
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````